QGIS Application - Bug report #15152
Inconsistent behaviour of "Add" button in Add PostGIS Table(s) dialog
2016-06-27 06:15 AM - Casper Bargesen

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23091
Description

When adding a WMS layer using the Add WMS/WMTS Layer window you have the option of pressing Add when an entry is selected or
Close. If you press Add the layer will be added and you an choose to add another layer. When you press Close the window closes.

When adding a PostGIS layer using the Add PostGIS Table(s) windows you have the option of pressing Add when a table is selected or
Close. If you press Add the table will be added as a layer and the window closes. When you press Close the window closes.

Which action is the intended? Should the window close after you press Add or should it stay open.

| clearly prefer it to stay open and actively decide when it should close.

History

#1 - 2016-06-27 06:40 AM - Alexander Bruy
- OS version deleted (7 x64)

- Category set to Data Provider/PostGIS

- Operating System deleted (windows)

In "Add PostGIS Table(s)" dialog you have a checkox under the table list (look at the right) called "Keep dialog open". If you check it, dialog won't be closed

after pressing "Add" button.

#2 - 2016-06-27 06:50 AM - Casper Borgesen

Alexander Bruy wrote:

In "Add PostGIS Table(s)" dialog you have a checkox under the table list (look at the right) called "Keep dialog open". If you check it, dialog won't be

closed after pressing "Add" button.

You're right, | haven't seen that before and it works.

But | still think that the various Add X Layer dialogs should behave identically. | see that the WFS and the Spatialite dialog does the same as the PostGIS.

WCS doesn't have a Keep dialog open option but instead having the Close and Add buttons switched in the UL.

#3 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No
#4 - 2019-03-09 04:23 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
